umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Typedefs | Functions | Variables
Uml::ID Namespace Reference

## Typedefs
typedef std::string | Type

## Functions
QDebug | operator<< (QDebug out, ID::Type &type)
QString | toString (const ID::Type &id)
ID::Type | fromString (const QString &id)

## Variables
const Type | None = "-1"
| special value for uninitialized ID
const Type | Reserved = "0"
| special value for illegal ID

## Detailed Description

The data type used for unique IDs.

## Typedef Documentation

## ◆ Type

typedef std::string Uml::ID::Type

## Function Documentation

## ◆ fromString()

ID::Type Uml::ID::fromString | ( | const QString & | id | ) |

## ◆ operator<<()

QDebug Uml::ID::operator<< | ( | QDebug | out,
|  | ID::Type & | type )

## ◆ toString()

QString Uml::ID::toString | ( | const ID::Type & | id | ) |

## Variable Documentation

## ◆ None

const Type Uml::ID::None = "-1"

special value for uninitialized ID

## ◆ Reserved

const Type Uml::ID::Reserved = "0"

special value for illegal ID